<?php

//Clase: Orden de Servicio
class clase
{
	var $nom_tabla = 'dlmedicos';
	var  $id_medico = '0';
	var  $nom_med = '0';
	var  $ape_pat_med = '0';
	var  $ape_mat_med = '0';
	var  $cve_med = '0';
	var  $direc = '0';
	var  $ciudad = '0';
	var  $estado = '0';
	var  $rfc = '0';
	var  $esp_med = '0';
	var  $fec_alt = '0';
	var  $status = '0';
	var  $observ = '0';
	var  $acc_fec = '0';
	var  $acc_hor = '0';
	var  $usuario = '0';
	
//Funcion de Revision
	function revisar(){
		$sql = "SELECT * FROM $this->nom_tabla WHERE id_medico = '$this->id_medico'";
	   	@$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	@$num_salidas=mysqli_num_rows($result); 
		return "ok";
		
	}
//Funcion de Agregar
	function agregar(){
		$sql = "INSERT INTO $this->nom_tabla set  nom_med= '$this->nom_med', ape_pat_med= '$this->ape_pat_med', ape_mat_med= '$this->ape_mat_med',
		cve_med= '$this->cve_med', direc= '$this->direc',ciudad= '$this->ciudad', estado= '$this->estado', rfc= '$this->rfc', esp_med= '$this->esp_med', fec_alt= '$this->fec_alt', status= '$this->status', observ= '$this->observ', acc_fec=CURDATE(), acc_hor=CURTIME(), usuario='".$_SESSION['num_usu']."'";
	   	@$result = mysqli_query($GLOBALS['con'] ,$sql);
		if ($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . " : " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista Completa
	function lista_completa(){
		$sql= "SELECT * FROM $this->nom_tabla";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista con Busqueda
	function lista_busqueda($id_medico){
		$sql= "SELECT * FROM $this->nom_tabla WHERE id_medico = '$id_medico'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}
//Funcion de Modificar
	function modificar($id_medico){
		$sql = "UPDATE $this->nom_tabla set  nom_med = '$this->nom_med', ape_pat_med= '$this->ape_pat_med', ape_mat_med= '$this->ape_mat_med', cve_med= '$this->cve_med', direc= '$this->direc',ciudad= '$this->ciudad', estado= '$this->estado', rfc= '$this->rfc', esp_med= '$this->esp_med', fec_alt= '$this->fec_alt', status= '$this->status', observ= '$this->observ', acc_fec=CURDATE(), acc_hor=CURTIME(), usuario='".$_SESSION['num_usu']."' where id_medico = '$id_medico'";
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar($id_medico){   
		$sql = "DELETE FROM $this->nom_tabla WHERE id_medico = '$id_medico'";
		$resultado = mysqli_query($GLOBALS['con'] ,$sql);
		if($resultado){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}           
	}   
}       
?>